summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-08-19 05:24:30 +0200
committerMichał Górny <mgorny@gentoo.org>2020-08-19 05:34:44 +0200
commit133edb8b67f9d6e86961d2c3217191ad9c6a75a3 (patch)
tree6bd660e6e1cd50438acabb13709ba0cbe0821fa3 /dev-python/sphinxcontrib-spelling
parentdev-python/pyenchant: Disable apparently broken self-spelling test (diff)
downloadgentoo-133edb8b67f9d6e86961d2c3217191ad9c6a75a3.tar.gz
gentoo-133edb8b67f9d6e86961d2c3217191ad9c6a75a3.tar.bz2
gentoo-133edb8b67f9d6e86961d2c3217191ad9c6a75a3.zip
dev-python/sphinxcontrib-spelling: Bump to 5.3.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/sphinxcontrib-spelling')
-rw-r--r--dev-python/sphinxcontrib-spelling/Manifest1
-rw-r--r--dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.3.0.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-spelling/Manifest b/dev-python/sphinxcontrib-spelling/Manifest
index d092f42b0d7..20e18ecf719 100644
--- a/dev-python/sphinxcontrib-spelling/Manifest
+++ b/dev-python/sphinxcontrib-spelling/Manifest
@@ -1,3 +1,4 @@
DIST sphinxcontrib-spelling-5.1.2.tar.gz 22962 BLAKE2B c7b15289b4b6dce5e6c5fb529c4be2cd7c1f41d8bfc6ac86daf1a982f711bd2c426d9b3a615471538fe221197b64ccd907efd4620ea2440f6ec07b2a078d6bee SHA512 4a0398b7c79a035e12d9ae96100fcaa4df42aeae07a01a73f7d875ba04fbbeb3d7441c9debe77491876d78b0a3753677cff4cb3a575e3490364fe5780f5a70b2
DIST sphinxcontrib-spelling-5.2.0.tar.gz 43860 BLAKE2B 535ec4d8d6f924c9f01b10599725295b1f96f47e999393fbc603725b0eb4ffccf7f12be636cc2d9d045251cae075a3e851f3de4cee5d64ca24ca2056a5406274 SHA512 a17932c5b656cfb76a1389d7c56d71b41d0dda37fae0449db2e03ae1694a6741d20ce2b057ff8bc5fc4fc26c91e07f5a1106470deeea2633ca7a60bc7537c2aa
DIST sphinxcontrib-spelling-5.2.2.tar.gz 45029 BLAKE2B 4a14ed30155f51a97b8257d0d751cd1a4f504bdbe18243423f86cdd92a2745fb32e88aa1c6b4de5cfdedb2eba9b78ec077c3719a45751f9e601fc0b223d61331 SHA512 442df6e83dc6830a3593ccae9c86965369bb83493c4c8dbae1f1e94e85971533c8cfd69e38846be37fa7333ee1b1c23958097952cf173862f856228e5a72b48b
+DIST sphinxcontrib-spelling-5.3.0.tar.gz 45665 BLAKE2B c44c8c2621aecd74734c6137e1344a763e99fb61b3ce882c8ea70364df17a7e2fac49acc8878753cab1b70df2cf084de5087bed77f8b1bffe311410ecec3504d SHA512 8f3c4718877e55b0ebcd3d8c0f078a6c06c27c2cdd3cc557fd2e0e990f0c8956179fd9a8b3135b280973e45c0c8657f71372746ef4b55319078db8f16c7e00e9
diff --git a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.3.0.ebuild b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.3.0.ebuild
new file mode 100644
index 00000000000..f0af7ff34fe
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.3.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="https://github.com/sphinx-contrib/spelling"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-1.7.0[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+ dev-python/pbr[${PYTHON_USEDEP}]
+ dev-python/pyenchant[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ app-dicts/myspell-en
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source --no-autodoc
+distutils_enable_tests pytest
+
+RDEPEND+="
+ dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}